curl -X POST 'https://crypto-api.yativo.com/api/v1/customers/get-customers' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'Content-Type: application/json' \
-d '{ "page": 1, "limit": 20 }'
{
"status": true,
"message": "Customers listed successfully",
"data": [
{
"_id": "6650a1f2c3d4e5f6a7b8c9d0",
"username": "Acme Corp",
"email": "billing@acme.com",
"phone_number": "",
"wallet_address": "9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM",
"balance_usd": 1250.4,
"createdAt": "2026-09-30T10:00:00.000Z"
}
],
"pagination": { "current_page": 1, "total_pages": 1, "total_records": 1, "records_per_page": 20 }
}
WaaS Customers (Wallet Sub-accounts)
List Customers
List your wallet customers with balances
POST
/
v1
/
customers
/
get-customers
curl -X POST 'https://crypto-api.yativo.com/api/v1/customers/get-customers' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'Content-Type: application/json' \
-d '{ "page": 1, "limit": 20 }'
{
"status": true,
"message": "Customers listed successfully",
"data": [
{
"_id": "6650a1f2c3d4e5f6a7b8c9d0",
"username": "Acme Corp",
"email": "billing@acme.com",
"phone_number": "",
"wallet_address": "9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM",
"balance_usd": 1250.4,
"createdAt": "2026-09-30T10:00:00.000Z"
}
],
"pagination": { "current_page": 1, "total_pages": 1, "total_records": 1, "records_per_page": 20 }
}
string
required
Bearer token:
Bearer YOUR_ACCESS_TOKENstring
Matches username, email, or a wallet address.
number
default:"1"
Page number.
number
default:"20"
Results per page.
curl -X POST 'https://crypto-api.yativo.com/api/v1/customers/get-customers' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'Content-Type: application/json' \
-d '{ "page": 1, "limit": 20 }'
{
"status": true,
"message": "Customers listed successfully",
"data": [
{
"_id": "6650a1f2c3d4e5f6a7b8c9d0",
"username": "Acme Corp",
"email": "billing@acme.com",
"phone_number": "",
"wallet_address": "9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM",
"balance_usd": 1250.4,
"createdAt": "2026-09-30T10:00:00.000Z"
}
],
"pagination": { "current_page": 1, "total_pages": 1, "total_records": 1, "records_per_page": 20 }
}

